Subject: Re: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Jan Djärv <[email-masked]>
Date: Wed, 11 Aug 2010 18:06:23 +0200

Stefan Monnier skrev 2010-08-11 09.46:

>> In that case the selection would be empty, one should not take ownership of
>> PRIMARY in that case.
>
> So the C-f (or any other movement) would cause the selection of PRIMARY?
> That would have to be performed in some kind of post-command-hook, which
> is undesirable.

Transient-mark mode must know when the selection is non-empty.  How does it do 
it?  It is only when the selection becomes non-empty we have to take ownership 
of the PRIMARY selection. Once you own selection you don't have to re-own it 
again just because the selection changed.  You would have to disown it if the 
selection became empty.

	Jan D.